#= Makefile for dcpam6/lib
#
# Authors::   Shin-ichi Takehiro
# Version::   $Id: Makefile,v 1.10 2025/09/18 10:00:00 takepiro Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2025. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

DIRDEPTH=..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

LLIBDIR=`cwd`/lib

# prefix=$(DESTDIR)
# libdir=$(prefix)/lib
# includedir=$(prefix)/include


all:

install:
	test -d $(INSTLIBDIR) || $(INSTALLDIR) $(INSTLIBDIR)
	@-if test $(INSTLIBDIR) != $(LIBDIR); then \
		$(CP) $(DCPAMLIB) $(INSTLIBDIR); fi
	$(RANLIB) $(INSTLIBDIR)/$(DCPAMLIB)

clean:
	-$(RM) *~ *.bak

clean.all: clean
	-$(RM) *~ $(DCPAMLIB) $(DCPAMZONALLIB) $(DCPAMMPILIB)

